{% extends 'admin/base_admin.html.twig' %}

{% block title %}Users{% endblock %}

{% block breadcrumbs %}
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{ path('admin.users') }}">Home</a></li>
        <li class="breadcrumb-item"><a href="{{ path('admin.users') }}">Users</a></li>
        <li class="breadcrumb-item active">{{ user.name.full }}</li>
    </ol>
{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-sm-12 col-xl-3">
            <div class="card">
                <div class="card-header">
                    <i class="fa fa-align-justify"></i> Controls
                </div>
                <div class="card-body">
                    <div class="controls">
                        {% if user.id.value != app.user.id %}
                            <a href="{{ path('admin.users.edit', {'id': user.id}) }}" class="btn btn-primary">Edit</a>
                            <a href="{{ path('admin.users.role', {'id': user.id}) }}" class="btn btn-primary">Change
                                Role</a>
                        {% endif %}
                        {% if user.wait %}
                            <form action="{{ path('admin.users.confirm', {'id': user.id}) }}" method="post"
                                  onsubmit="return confirm('Are you sure?')">
                                <input type="hidden" name="token" value="{{ csrf_token('confirm') }}"/>
                                <button type="submit" class="btn btn-success">Confirm</button>
                            </form>
                        {% endif %}
                        {% if user.active and user.id.value != app.user.id %}
                            <form action="{{ path('admin.users.block', {'id': user.id}) }}" method="post"
                                  onsubmit="return confirm('Are you sure?')">
                                <input type="hidden" name="token" value="{{ csrf_token('block') }}"/>
                                <button type="submit" class="btn btn-danger">Block</button>
                            </form>
                        {% endif %}
                        {% if user.blocked %}
                            <form action="{{ path('admin.users.activate', {'id': user.id}) }}" method="post"
                                  onsubmit="return confirm('Are you sure?')">
                                <input type="hidden" name="token" value="{{ csrf_token('activate') }}"/>
                                <button type="submit" class="btn btn-success">Activate</button>
                            </form>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="card">
        <div class="card-header">
            <i class="fa fa-align-justify"></i> User
        </div>
        <div class="card-body">
            <div class="box">
                <table class="table table-bordered">
                    <tbody>
                    <tr>
                        <th>Name</th>
                        <td>{{ user.name.full }}</td>
                    </tr>
                    <tr>
                        <th>Email</th>
                        <td>{{ user.email ? user.email.value : '' }}</td>
                    </tr>
                    <tr>
                        <th>Created</th>
                        <td>{{ user.date|date('Y-m-d H:i:s') }}</td>
                    </tr>
                    <tr>
                        <th>Role</th>
                        <td>{{ user_role(user.role.name) }}</td>
                    </tr>
                    <tr>
                        <th>Status</th>
                        <td>{{ user_status(user.status) }}</td>
                    </tr>
                    </tbody>
                </table>
            </div>

            {% if user.networks %}
                <div class="box">
                    <table class="table table-bordered mb-0">
                        <tbody>
                        {% for network in user.networks %}
                            <tr>
                                <th>{{ network.network }}</th>
                                <td>{{ network.identity }}</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            {% endif %}
        </div>
    </div>

{% endblock %}